Support » Plugin: WP YouTube Lyte » YouTube API, Got Error: 1

Viewing 15 replies - 16 through 30 (of 42 total)
  • Plugin Author Optimizing Matters

    (@optimizingmatters)

    So can @nicolaottomano, @partounian, @aminech also confirm (or deny) things work OK when saving the settings including API key even if the mysterious “1” error appears?

    Apologies, but I will wait until I need to use this again instead of redoing it on one of my sites.

    Plugin Author Optimizing Matters

    (@optimizingmatters)

    OK, so I pushed a commit to GitHub which:
    * changes the text to make clear this is probably not an error and that is probably OK to save the key
    * writes the the full YT API response to the browser console (where I could be copy/ pasted and provide to me for further investigation).

    For those who like to help; feel free to download the Github version and check out the browser console for the YT API reponse when “error 1” occurs.

    I downloaded and install the Github version linked above (it was also 1.7.0), but there didn’t appear to be any difference.

    The same error message still displays:

    Checking your key ...
    
    Something went wrong, WP YouTube Lyte might not have been able to retrieve information from the YouTube API, got error: 1

    And I couldn’t find anything in the console

    Plugin Author Optimizing Matters

    (@optimizingmatters)

    OK, (a bit) helpful still (as in; I’ll have to look into debug logging in other parts of the code). More soon.

    Plugin Author Optimizing Matters

    (@optimizingmatters)

    new version on github, extra debug info should be visible now (*crossing fingers*)

    OK, for those of you still brave enough to fight this monster; can you please install the “health check” plugin?

    I’m specifically interested in the following information that plugin will show;
    * PHP version
    * Communication with WordPress.org
    * Secure communication
    * cURL version

    I downloaded Health Check and the following is the result (I quickly translated it from italian)

    PHP version: 7.1.16
    Communication with WordPress.org: WordPress.org is reachable from your server
    Secure communication: Can communicate in a secure way with other services
    cURL Version: 7.59.0

    Nicola

    I downloaded the last version from github and installed it over the version I already had.

    While activating it, WordPress says

    cannot activate the plugin, fatal error:

    Fatal error: Cannot redeclare lyte_settings_enforcer() (previously declared in /web/htdocs/www.MYWEBSITE.COM/wp-content/plugins/wp-youtube-lyte/wp-youtube-lyte.php:78) in /web/htdocs/www.MYWEBSITE.COM/wp-content/plugins/wp-youtube-lyte-master/wp-youtube-lyte.php on line 80

    So I tried to uninstall it and reinstall from scratch… same issue.

    Nicola

    Plugin Author Optimizing Matters

    (@optimizingmatters)

    that’s because you (seem to) have both the “normal” and the github version active @nicolaottomano, disable the “normal” one and you should not get that error.

    You are right… I thought the “normal” one was automatically replaced by the new one.

    I’ll give it a try.

    [EDIT]
    Yes, it works, even if in the backend configuration it gives the error 1.

    Nicola

    • This reply was modified 1 year, 6 months ago by nicolaottomano. Reason: update
    Plugin Author Optimizing Matters

    (@optimizingmatters)

    even if in the backend configuration it gives the error 1.

    so you see the exact same error-message? no extra information?

    +1 to this error without any extra information here…

    Plugin Author Optimizing Matters

    (@optimizingmatters)

    so is the error

    “Your API key might be OK, but the API call did not succeed or the response was not entirely expected. Technical error: 1”

    OR

    “Something went wrong, WP YouTube Lyte might not have been able to retrieve information from the YouTube API, got error: 1”

    ?

    I have “Something went wrong, WP YouTube Lyte might not have been able to retrieve information from the YouTube API, got error: 1” but no debug information in the console.

    Plugin Author Optimizing Matters

    (@optimizingmatters)

    So we’re still nowhere … I’ll create a “debug”-version which will explicitly adds debug output to the php-errorlog. do you guys/ girls have access to your php errorlog?

Viewing 15 replies - 16 through 30 (of 42 total)
  • The topic ‘YouTube API, Got Error: 1’ is closed to new replies.